ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_link_template Struct Reference
Topology Interface

Template type for physical DAI Links. More...

`#include <topology.h>`

## Data Fields
const char * | name
int | id
const char * | stream_name
int | num_streams
struct snd_tplg_stream_template * | stream
struct snd_tplg_hw_config_template * | hw_config
int | num_hw_configs
int | default_hw_config_id
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for physical DAI Links.

## Field Documentation

## ◆ default_hw_config_id

int snd_tplg_link_template::default_hw_config_id

default hw config ID for init

## ◆ flag_mask

unsigned int snd_tplg_link_template::flag_mask

bitmask of flags to configure

## ◆ flags

unsigned int snd_tplg_link_template::flags

SND_SOC_TPLG_LNK_FLGBIT_* flag value

## ◆ hw_config

struct snd_tplg_hw_config_template* snd_tplg_link_template::hw_config

supported HW configs

## ◆ id

int snd_tplg_link_template::id

unique ID - used to match with existing physical links

## ◆ name

const char* snd_tplg_link_template::name

link name, used to match

## ◆ num_hw_configs

int snd_tplg_link_template::num_hw_configs

number of hw configs

## ◆ num_streams

int snd_tplg_link_template::num_streams

number of configs

## ◆ priv

struct snd_soc_tplg_private* snd_tplg_link_template::priv

private data

## ◆ stream

struct snd_tplg_stream_template* snd_tplg_link_template::stream

supported configs

## ◆ stream_name

const char* snd_tplg_link_template::stream_name

link stream name, used to match

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h